Legal
Update a court case (partial). A terminal status sets closed_at when absent; OPEN clears it. Honours Idempotency-Key. (scope: legal:write)
PATCH
bearerAuthheader
AuthorizationBearer <token>API key as Bearer token
id*stringCourt case id
Format
uuidapplication/json- body
Partial: only the fields sent are changed.
case_number?stringe.g. 12345/3/2026
Length
3 <= length <= 60court?stringLength
length <= 255subject?stringLength
length <= 500materia?stringLength
length <= 120stage?stringLength
length <= 120status?stringValue in
"OPEN""SUSPENDED""WON""LOST""SETTLED""CLOSED"role?stringValue in
"RECLAMANT""PARAT""CREDITOR""DEBITOR""INTERVENIENT""ALTA_CALITATE"opposing_party?stringLength
length <= 255contact_id?stringA contact of this organization
Format
uuidinvoice_id?stringAn invoice of this organization
Format
uuidcontract_id?stringA contract of this organization
Format
uuidclaim_amount?numberRange
0 <= valueawarded_amount?numberRange
0 <= valuerecovered_amount?numberRange
0 <= valueoutcome?stringLength
length <= 500claim_currency?stringLength
3 <= length <= 3lawyer_name?stringLength
length <= 255opened_at?stringFormat
dateclosed_at?stringFormat
datenext_hearing_at?stringFormat
datenotes?stringLength
length <= 8000OK
application/json- response
data*error*nullcurl -X PATCH "https://example.com/legal/court-cases/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "case_number": "string", "court": "string", "subject": "string", "materia": "string", "stage": "string", "status": "OPEN", "role": "RECLAMANT", "opposing_party": "string", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "invoice_id": "f4c4edb8-11e0-4b33-bcc1-482dc59ebb32", "contract_id": "9aafc1a8-e497-46c9-ba0b-bd5b03c353e4", "claim_amount": "string", "awarded_amount": "string", "recovered_amount": "string", "outcome": "string", "claim_currency": "string", "lawyer_name": "string", "opened_at": "2019-08-24", "closed_at": "2019-08-24", "next_hearing_at": "2019-08-24", "notes": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "error": null}